Loading...
Searching...
No Matches
Opm::FunctionRunnerTasklet< Fn > Class Template Reference

A simple tasklet that runs a function that returns void and does not take any arguments a given number of times. More...

`#include <tasklets.hpp>`

Inheritance diagram for Opm::FunctionRunnerTasklet< Fn >:

## Public Member Functions

| FunctionRunnerTasklet (const FunctionRunnerTasklet &)=default
| FunctionRunnerTasklet (int numInvocations, const Fn &fn)
void | run () override
Public Member Functions inherited from Opm::TaskletInterface
| TaskletInterface (int refCount=1)
virtual bool | isEndMarker () const
void | dereference ()
int | referenceCount () const

## Detailed Description

template<class Fn>
class Opm::FunctionRunnerTasklet< Fn >

A simple tasklet that runs a function that returns void and does not take any arguments a given number of times.

## Member Function Documentation

## run()

template<class Fn>

void Opm::FunctionRunnerTasklet< Fn >::run | ( |  | ) |

inline override virtual

Implements Opm::TaskletInterface.

The documentation for this class was generated from the following file:

- opm/models/parallel/tasklets.hpp